/* mbed Microcontroller Library
 * Copyright (c) 2019 ARM Limited
 * SPDX-License-Identifier: Apache-2.0
 */

#include "mbed.h"
#include "DMX_MIDI.h"
#include "SETUP_CONFIG.h"

#define WAIT_TIME_MS 500 

UnbufferedSerial          sPc(USBTX, USBRX);
char    debug_char[128];
//InterruptIn     bp_int(USER_BUTTON);
//DigitalOut      debug_out(D13);

int estdans(int tab[], int dim, int n){
    int k;
    int nbr;
    for (k=0;k<dim;k++){
        if (tab[k]==n)
            return 1;}
    return 0;
}

int indice(int tab[], int dim, int n){
    //n la note que l'on cherche
    int k; //nombre d'occurences
    for (k=0;k<dim;k++){
        if (tab[k]==n)
            return k;
    }
    return 0;
}

double intensitemoyenne(int tabvaleurs[], int dim_tabvaleurs, int l){ //déterminer l'intensité moyenne 
    //intensite moyenne
    int intensite = 0;
    for (l; l<dim_tabvaleurs; l=l+2)
    {
        intensite+=tabvaleurs[l];

    }
    return intensite/(l/2);
}

// MAIN : 
int main()
{
    debug_out = 1;
    // Initialisation périphériques
    initMIDI();
    initDMX();
    sPc.baud(9600);

    // ex-PRINTF
    sprintf(debug_char, "Que la musique soit!\n\n");
    sPc.write(debug_char, strlen(debug_char));

    int tabvaleurs[200];
        // créer tableau avec note + nombre d'apparition
    int tabnotes[100];
    int i=0;
    int g=0;
    int j;
    int dim_tabvaleurs = 200;
    int dim_tabnotes=100;
    int h;
    int k=0; //tableau avec numero note et nombre d'apparition à la suite

    while(true) { 
        /* MIDI */

        if(new_note_midi == 1){
            

            
            

            if(g < 200){
                
                tabvaleurs[g]=note_data;
                tabvaleurs[g+1]=velocity_data ;
                g=g+2;
                
            }
            new_note_midi = 0;
        }
        int tabvaleurs2[100];
        for (h=0; h<100; h++){
            tabvaleurs2[h] =  tabvaleurs[k];
            k +=2;

        }
        k = 0;
        if(new_note_midi == 0 && g == 200){
            
            for (k=0;k<200;k++){//on cree un tableau ou l'on repertorie toutes les notes et l'on met à jour le nombre d'apparitions
                if (estdans(tabnotes,dim_tabnotes,tabvaleurs2[k])== 0 ) {//La note n'est pas dans le tableau
                    tabnotes[i]=tabvaleurs2[k];
                    tabnotes[i+1]=1;
                    i=i+2;
                    
                }
                else{// La note est dans le tableau
                    j=indice(tabnotes, dim_tabnotes, tabvaleurs2[k]);
                    tabnotes[j+1] = tabnotes[j+1] + 1;
                
                }   
            }
            for (k=0;k<dim_tabnotes;k++){
                if (tabnotes[k] > 257){
                    tabnotes[k] = 0;
                }
            }
            
            // calcul du fondamental    
            int h;
            int ind=1;
            int max=tabnotes[h+1];
            for (h=0;h<dim_tabnotes;h+=2){
                if (tabnotes[h+1]>max){
                    max=tabnotes[h+1];
                    ind=h+1; // VALEUR DU FONDAMENTAL 
                }
            }
            // calcul hauteur
            int hauteurm;
            hauteurm = intensitemoyenne(tabvaleurs, dim_tabvaleurs,0);

            sprintf(debug_char, "hauteur = %d \r\n", hauteurm);
            sPc.write(debug_char, strlen(debug_char));

            //calcul intensité
            int intensitem;
            intensitem = intensitemoyenne(tabvaleurs, dim_tabvaleurs,1);

            sprintf(debug_char, "intensité = %d \r\n", intensitem);
            sPc.write(debug_char, strlen(debug_char));

            sprintf(debug_char, "fondamental = %d\r\n", ind);
            sPc.write(debug_char, strlen(debug_char));

            /* DMX */
            updateDMX();
            wait_us(1200);
        }
    }
}
